org.apache.cassandra.io.sstable

## Class SSTableBoundedScanner.BoundedKeyScanningIterator

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableScanner.KeyScanningIterator
  - - org.apache.cassandra.io.sstable.SSTableBoundedScanner.BoundedKeyScanningIterator

- All Implemented Interfaces:
    java.util.Iterator<OnDiskAtomIterator>
  Enclosing class:
    SSTableBoundedScanner

      protected class SSTableBoundedScanner.BoundedKeyScanningIterator
      extends SSTableScanner.KeyScanningIterator

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.io.sstable.SSTableScanner.KeyScanningIterator

      `finishedAt`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SSTableBoundedScanner.BoundedKeyScanningIterator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`

    - ### Methods inherited from class org.apache.cassandra.io.sstable.SSTableScanner.KeyScanningIterator

      `next, remove, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSTableBoundedScanner.BoundedKeyScanningIterator

          protected SSTableBoundedScanner.BoundedKeyScanningIterator()

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<OnDiskAtomIterator>`
      Overrides:
        `hasNext` in class `SSTableScanner.KeyScanningIterator`

Copyright © 2014 The Apache Software Foundation